JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.bulk.runJob('job_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.bulk.run_job(
"job_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Bulk.RunJob(context.TODO(), "job_id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.bulk.BulkRunJobParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.bulk().runJob("job_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.bulk.run_job("job_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->bulk->runJob('job_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Bulk;
CourierClient client = new();
BulkRunJobParams parameters = new() { JobID = "job_id" };
await client.Bulk.RunJob(parameters);courier bulk run-job \
--api-key 'My API Key' \
--job-id job_idcurl --request POST \
--url https://api.courier.com/bulk/{job_id}/run \
--header 'Authorization: Bearer <token>'{
"message": "Example message text",
"type": "invalid_request_error"
}Bulk
Run a job
Run a bulk job
POST
/
bulk
/
{job_id}
/
run
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.bulk.runJob('job_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.bulk.run_job(
"job_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Bulk.RunJob(context.TODO(), "job_id")
if err != nil {
panic(err.Error())
}
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.bulk.BulkRunJobParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.bulk().runJob("job_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.bulk.run_job("job_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->bulk->runJob('job_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Bulk;
CourierClient client = new();
BulkRunJobParams parameters = new() { JobID = "job_id" };
await client.Bulk.RunJob(parameters);courier bulk run-job \
--api-key 'My API Key' \
--job-id job_idcurl --request POST \
--url https://api.courier.com/bulk/{job_id}/run \
--header 'Authorization: Bearer <token>'{
"message": "Example message text",
"type": "invalid_request_error"
}⌘I